Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000423Zandronum[All Projects] Bugpublic2011-04-30 19:142018-09-30 22:32
Reporterunknownna 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version98d 
Target VersionFixed in Version 
Summary0000423: "switchonpickup" alias desyncs the coop spy/info for newly connected clients
DescriptionAttached screenshot.
Steps To Reproduce1. Start a server.
2. Connect client A to the server.
3. Join the game with client A.
4. Connect client B to the server.
5. Coop spy on client A with client B.
6. Pick up a weapon with client A while holding +attack2.
Additional Information
Name=+attack2
Command=+attack; switchonpickup 0
Name=-attack2
Command=-attack; switchonpickup 1
Attached Filespng file icon screenshot.png [^] (101,703 bytes) 2011-04-30 19:14

- Relationships
related to 0000540resolvedLeonard Weapon selection is desynced between clients 
related to 0001041resolvedLeonard +attack desync between clients causes ammo values to desync 

-  Notes
User avatar (0009000)
Watermelon (developer)
2014-06-10 15:56

Does this still happen in 2.0?
User avatar (0009036)
Frits (reporter)
2014-06-11 06:55

Still present in 2.0 although I had to start firing before connecting client B to the server to reproduce this.
User avatar (0009039)
Watermelon (developer)
2014-06-11 14:30

Alright, thanks once again!
User avatar (0019431)
unknownna (updater)
2018-08-27 07:22

Quote from Frits
Still present in 2.0 although I had to start firing before connecting client B to the server to reproduce this.

I just did some quick tests and was able to reproduce it in 98d, but not in 1.0 and beyond, even if firing before connecting the 2nd client to the server. I assume it got fixed by fixing something else.

Re-open this if you still observe this issue in 3.0 and beyond.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2011-04-30 19:14 unknownna New Issue
2011-04-30 19:14 unknownna File Added: screenshot.png
2011-07-30 15:56 unknownna Relationship added related to 0000540
2012-06-09 13:22 Torr Samaho Category General => Bug
2014-06-10 15:56 Watermelon Note Added: 0009000
2014-06-10 15:56 Watermelon Status new => feedback
2014-06-11 06:55 Frits Note Added: 0009036
2014-06-11 14:30 Watermelon Note Added: 0009039
2014-06-11 14:30 Watermelon Status feedback => confirmed
2018-08-27 07:22 unknownna Note Added: 0019431
2018-08-27 07:23 unknownna Status confirmed => resolved
2018-08-27 07:23 unknownna Resolution open => fixed
2018-08-27 07:24 unknownna Relationship added related to 0001041
2018-09-30 22:32 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker